FruxonDocs
UsersCore

Updates the current user's profile.

Only the fields provided in the request body are applied; omitted fields remain unchanged.

PATCH
/v1/user-profile

The fields to update.

firstName?string|null
lastName?string|null
avatarFileId?string|null
[key: string]?never

Response Body

curl -X PATCH "https://api.fruxon.com/v1/user-profile" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "username": "string",
  "email": "string",
  "firstName": "string",
  "lastName": "string",
  "avatarFileId": "string",
  "status": 0,
  "role": 0,
  "createdAt": 0,
  "modifiedAt": 0
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}
Empty
v1/user-profile","method":"get"}]} />